org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class FoldTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.FoldTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.FoldTest.Traversals

- Enclosing class:
    FoldTest

      public static class FoldTest.Traversals
      extends FoldTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.FoldTest

      `FoldTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Integer>` | `get_g_V_age_foldX0_plusX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_fold_unfold()`
    `Traversal<Vertex,List<Vertex>>` | `get_g_V_fold()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.FoldTest

      `g_V_age_foldX0_plusX, g_V_fold_unfold, g_V_fold`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_fold

          public Traversal<Vertex,List<Vertex>> get_g_V_fold()

      Specified by:
        `get_g_V_fold` in class `FoldTest`

    - #### get_g_V_fold_unfold

          public Traversal<Vertex,Vertex> get_g_V_fold_unfold()

      Specified by:
        `get_g_V_fold_unfold` in class `FoldTest`

    - #### get_g_V_age_foldX0_plusX

          public Traversal<Vertex,Integer> get_g_V_age_foldX0_plusX()

      Specified by:
        `get_g_V_age_foldX0_plusX` in class `FoldTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.